## coq-bignums 8.15.0

=== debian/changelog ===
coq-bignums (8.15.0-5build1) kinetic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Jun 2022 16:03:24 +0200

coq-bignums (8.15.0-5) unstable; urgency=medium

  * Point d/control's homepage to the coq-community one.
  * Use dh-coq.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Jun 2022 13:48:40 +0200

coq-bignums (8.15.0-3) unstable; urgency=medium

  * Bump standards-version to 4.6.1.
  * Upload will fix ABI breakage. (Closes: #1012060)

 -- Julien Puydt <jpuydt@debian.org>  Wed, 01 Jun 2022 15:07:56 +0200

coq-bignums (8.15.0-2) unstable; urgency=medium

  * Re-upload to fix ABI breakage.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 22 May 2022 19:24:45 +0200

coq-bignums (8.15.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1010612)

 -- Julien Puydt <jpuydt@debian.org>  Thu, 05 May 2022 16:24:09 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with coq,ocaml

override_dh_auto_build:
	make

override_dh_auto_install:
	dh_auto_install
	find debian/tmp -regextype posix-awk \
	  -regex '.*\.(v|vo|vos|glob)$$' \
          >> debian/libcoq-bignums.install
	find debian/tmp -regextype posix-awk \
	  -regex '.*\.(a|cmi|cmo|cmt|cmti|cmx|cmxa|ml|mli|o)$$' \
          >> debian/libcoq-bignums-ocaml-dev.install

=== debian/tests/control ===
Test-Command: make -C tests
Depends: libcoq-bignums

=== debian/watch ===
version=4
https://github.com/coq-community/bignums/tags .*/V?([\d\.]+).tar.gz

## coq-bignums 8.17.0

=== Makefile ===
all: Makefile.coq
	+make -f Makefile.coq all

clean: Makefile.coq
	+make -f Makefile.coq clean
	rm -f Makefile.coq Makefile.coq.conf

_CoqProject:;

Makefile.coq: _CoqProject
	$(COQBIN)coq_makefile -f _CoqProject -o Makefile.coq

%: Makefile.coq
	+make -f Makefile.coq $@

.PHONY: all clean

## coq-bignums 8.16.0

=== debian/changelog ===
coq-bignums (8.16.0-1build2) lunar; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Nov 2022 19:10:54 +0100

coq-bignums (8.16.0-1build1) lunar; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Nov 2022 12:00:44 +0100

coq-bignums (8.16.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 22 Aug 2022 16:36:40 +0200

coq-bignums (8.15.0-7) unstable; urgency=medium

  * Depend on a more recent dh-coq to fix issues.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 15 Jun 2022 10:18:44 +0200

coq-bignums (8.15.0-6) unstable; urgency=medium

  * Add coq to the autopkgtest depends.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 14 Jun 2022 07:44:34 +0200

=== debian/control ===
Source: coq-bignums
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq (>= 0.3),
               dh-ocaml,
               libcoq-ocaml-dev,
               libcoq-stdlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-bignums
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-bignums.git
Homepage: https://github.com/coq-community/bignums

Package: libcoq-bignums
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: Coq library for big numbers
 This package provides big numbers (natural numbers,
 integers and rationals) in Coq, as BigN, BigZ and BigQ,
 which used to be part of the standard library.
 .
 Coq is a proof assistant for higher-order logic.

## coq-bignums 8.17.0

=== debian/changelog ===
coq-bignums (8.17.0-2) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 07:33:46 +0100

coq-bignums (8.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 27 Dec 2022 11:02:29 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                dh-coq (>= 0.3),
                dh-ocaml,
-               libcoq-ocaml-dev,
+               libcoq-core-ocaml-dev,
                libcoq-stdlib
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-bignums
 Vcs-Git: https://salsa.debian.org/ocaml-team/coq-bignums.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with coq,ocaml

override_dh_auto_clean:
	make clean
	rm plugin/META.coq-bignums

## coq-bignums 9.0.0%2Bcoq8.20

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,5 @@
 
 override_dh_auto_clean:
 	make clean
-	rm plugin/META.coq-bignums
+	rm -f plugin/META.coq-bignums .lia.cache .nia.cache
+	find . -name "*.aux" -delete

## coq-bignums 9.0.0%2Brocq9.1

=== debian/changelog ===
coq-bignums (9.0.0+rocq9.1-2) experimental; urgency=medium

  * Strenghten depend on coq/rocq.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 11 Nov 2025 18:19:18 +0100

coq-bignums (9.0.0+rocq9.1-1) experimental; urgency=medium

  * Update d/watch to detect +rocq versions.
  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 08:02:08 +0100

coq-bignums (9.0.0+coq8.20-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 25 Jun 2024 08:40:53 +0200

coq-bignums (9.0.0+coq8.19-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 24 Feb 2024 09:51:53 +0100

coq-bignums (9.0.0+coq8.18-1) unstable; urgency=medium

  * Fix cleaning target (Closes: #1044477).
  * Make d/watch follow new upstreams.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 15:21:31 +0100

coq-bignums (8.17.0-3) unstable; urgency=medium

  * Bump standards-version to 4.6.2.
  * Add lintian overrides for false positives.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Jun 2023 19:28:06 +0200

## coq-bignums 9.0.0+coq8.18

=== tests/Makefile ===
COQC=coqc

all: success output

success: $(addsuffix o,$(wildcard success/*.v))

output: $(addsuffix o,$(wildcard output/*.v))

success/%.vo: success/%.v
	$(COQC) $<

output/%.vo: output/%.v
	input=$<; \
	output=$${input%.v}.out.real; \
	$(COQC) $< 2>&1 > $$output; \
	diff --strip-trailing-cr $${input%.v}.out $$output

=== debian/changelog ===
coq-bignums (9.0.0+coq8.18-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:13:27 +0200

coq-bignums (9.0.0+coq8.18-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:52:50 +0000

coq-bignums (9.0.0+coq8.18-1build1) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:12:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: coq-bignums
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

## coq-bignums 9.0.0+coq8.19

=== debian/changelog ===
coq-bignums (9.0.0+coq8.19-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jun 2024 16:33:26 +0200

## coq-bignums 9.0.0+coq8.20

=== debian/changelog ===
coq-bignums (9.0.0+coq8.20-1build9) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Jun 2025 13:27:14 +0200

coq-bignums (9.0.0+coq8.20-1build8) plucky; urgency=medium

  * No-change rebuild for coq ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2025 21:04:14 +0100

coq-bignums (9.0.0+coq8.20-1build7) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:22:20 +0100

coq-bignums (9.0.0+coq8.20-1build6) plucky; urgency=medium

  * Rebuild against latest ocaml

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Feb 2025 20:14:27 -0500

coq-bignums (9.0.0+coq8.20-1build5) plucky; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Nov 2024 17:30:45 -0500

coq-bignums (9.0.0+coq8.20-1build4) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 16:35:16 +0200

coq-bignums (9.0.0+coq8.20-1build3) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 00:44:43 +0200

coq-bignums (9.0.0+coq8.20-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Aug 2024 08:37:49 +0200

coq-bignums (9.0.0+coq8.20-1build1) oracular; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 Aug 2024 11:16:44 -0400

=== debian/watch ===
version=4
https://github.com/coq-community/bignums/tags .*/v?([\d\.]+\+coq[\d\.]+).tar.gz

## coq-bignums 9.0.0+rocq9.1

=== Makefile ===
all: Makefile.coq
	$(MAKE) -f Makefile.coq all

clean: Makefile.coq
	$(MAKE) -f Makefile.coq clean
	rm -f Makefile.coq Makefile.coq.conf

_CoqProject:;

Makefile.coq: _CoqProject
	$(COQBIN)rocq makefile -f _CoqProject -o Makefile.coq

%: Makefile.coq
	$(MAKE) -f Makefile.coq $@

.PHONY: all clean

=== tests/Makefile ===
ROCQC=rocq c

all: success output

success: $(addsuffix o,$(wildcard success/*.v))

output: $(addsuffix o,$(wildcard output/*.v))

success/%.vo: success/%.v
	$(ROCQC) $<

output/%.vo: output/%.v
	input=$<; \
	output=$${input%.v}.out.real; \
	$(ROCQC) $< 2>&1 > $$output; \
	diff --strip-trailing-cr $${input%.v}.out $$output

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: coq-bignums
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: coq,
+Build-Depends: coq (>= 9),
                debhelper-compat (= 13),
-               dh-coq (>= 0.3),
+               dh-coq,
                dh-ocaml,
                libcoq-core-ocaml-dev,
                libcoq-stdlib

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 include /usr/share/ocaml/ocamlvars.mk
+
+export DEB_BUILD_OPTIONS += noautodbgsym
 
 %:
 	dh $@ --with coq,ocaml

=== debian/tests/control ===
Test-Command: make -C tests
Depends: coq, libcoq-bignums
